Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1131867 - "vdsm oop WARNING renaming a directory is not an atomic operation" in /var/log/messages
Summary: "vdsm oop WARNING renaming a directory is not an atomic operation" in /var/lo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.1-1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yeela Kaplan
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-20 07:58 UTC by Michal Skrivanek
Modified: 2016-02-10 19:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:39:21 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31908 master MERGED oop: Use Storage.oop logger Never
oVirt gerrit 32194 master MERGED ioprocess: Move and reword rename() warning Never
oVirt gerrit 33163 ovirt-3.5 MERGED oop: Use Storage.oop logger Never

Description Michal Skrivanek 2014-08-20 07:58:37 UTC
the ioprocess implementation introduced a log line in /var/log/messages. (just restart vdsm
We shouldn't do that, everything should go to the vdsm.log

I think we shouldn't log this particular information at all

Comment 1 Nir Soffer 2014-08-28 14:22:55 UTC
There two issues here:
1. Logging unwanted messages to syslog
2. Logging unwanted messages to vdsm log

The suggested patch fixes only the first issue. We need to fix both issues.

Comment 3 Nir Soffer 2014-09-04 18:24:40 UTC
This bug has two patches, only one of them is merged:
- http://gerrit.ovirt.org/31908 - merged
- http://gerrit.ovirt.org/32194 - new (there is a debate on the solution)

So we should either fix the status of the bug, or open a new bug for the warning in vdsm log.

Comment 4 Allon Mureinik 2014-09-08 17:14:03 UTC
(In reply to Nir Soffer from comment #3)
> This bug has two patches, only one of them is merged:
> - http://gerrit.ovirt.org/31908 - merged
> - http://gerrit.ovirt.org/32194 - new (there is a debate on the solution)
> 
> So we should either fix the status of the bug, or open a new bug for the
> warning in vdsm log.
The latter.

Comment 5 Jiri Belka 2014-09-18 09:51:17 UTC
Please provide verification steps. Thank you.

Comment 6 Yeela Kaplan 2014-09-21 11:09:45 UTC
Jiri,
You can create a new nfs storage domain, and check both logs.
the expected result is that the log message : "vdsm oop WARNING renaming a directory is not an atomic operation" should appear in the vdsm log but not in /var/log/messages.

Comment 7 Jiri Belka 2014-09-22 09:04:03 UTC
10:57 <jbelka> it's not merged the patch
10:57 <jbelka> http://gerrit.ovirt.org/#/c/32194/1/vdsm/storage/outOfProcess.py,unified
11:03 <ykaplan> the patch you are referring to is not merged yet so it's irrelevant

Comment 8 Jiri Belka 2014-09-22 09:12:43 UTC
also http://gerrit.ovirt.org/31908 is not part of the build

vdsm-4.16.3-3.el7.beta.x86_64

Comment 9 Yeela Kaplan 2014-09-22 10:05:12 UTC
oVirt gerrit - 32194, is related to the bug, but is not the fix.

In addition, backport to 3.5 of oVirt gerrit - 31908.

Comment 10 Yaniv Bronhaim 2014-09-22 12:29:33 UTC
Only now merged to 3.5. please correct the "Fixed In Version" field after build

Comment 12 Jiri Belka 2014-09-25 08:53:15 UTC
ok, vdsm-4.16.5-2.el6ev.x86_64

/var/log/messages doesn't contain the log line after vdsm got updated.

...
Thread-14::DEBUG::2014-09-25 10:50:25,236::__init__::232::IOProcess::(_processLogs) (488) Got request for method 'rename'
Thread-42::WARNING::2014-09-25 10:50:25,253::outOfProcess::221::Storage.oop::(rename) renaming a directory is not an atomic operation
Thread-14::DEBUG::2014-09-25 10:50:25,254::__init__::232::IOProcess::(_processLogs) (496) Got request for method 'rename'

# grep 'renam' /var/log/messages 
Sep 24 14:38:07 dell-r210ii-03 kernel: udev: renamed network interface eth0 to em1
Sep 24 14:38:07 dell-r210ii-03 kernel: udev: renamed network interface eth1 to em2
Sep 25 10:35:27 dell-r210ii-03 vdsm oop WARNING renaming a directory is not an atomic operation


Note You need to log in before you can comment on or make changes to this bug.